Reports module
Endpoints
Endpoints for managing Reportings
GET
/reportschedules Returns collection of Report schedule resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2954,
"created_at": "2023-10-12 03:43:46",
"culture": 5,
"description": "value",
"emails": "value",
"end_at": "2023-10-12 03:41:36",
"format": 0,
"frequency": "value",
"last_run_at": "2023-10-12 03:27:26",
"name": "value",
"next_run_at": "2023-10-12 03:28:53",
"report_id": 3117,
"start_at": "2023-10-12 03:35:59",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}
POST
/reportschedules Creates new Report schedule resource
Parameters
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
POST /v1.1/voipstudio/reportschedules HTTP/1.1
Host: l7api.com
{
"report_id": 701,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-07-10",
"end_at": "2026-07-10",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
201 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 1833,
"created_at": "2022-04-23 12:38:03",
"culture": 1,
"description": "value",
"emails": "value",
"end_at": "2022-04-23 12:28:29",
"format": 0,
"frequency": "value",
"last_run_at": "2022-04-23 12:22:50",
"name": "value",
"next_run_at": "2022-04-23 12:30:45",
"report_id": 2559,
"start_at": "2022-04-23 12:41:08",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
GET
/reportschedules/{id} Returns Report schedule resource for given Id
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
GET /v1.1/voipstudio/reportschedules/66 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 3392,
"created_at": "2017-01-29 02:24:16",
"culture": 4,
"description": "value",
"emails": "value",
"end_at": "2017-01-29 02:31:05",
"format": 0,
"frequency": "value",
"last_run_at": "2017-01-29 02:16:04",
"name": "value",
"next_run_at": "2017-01-29 02:26:21",
"report_id": 2939,
"start_at": "2017-01-29 02:17:32",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
PATCH
/reportschedules/{id} Updates existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
PATCH /v1.1/voipstudio/reportschedules/22 HTTP/1.1
Host: l7api.com
{
"report_id": 985,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-07-10",
"end_at": "2026-07-10",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9121,
"created_at": "2023-06-23 23:23:07",
"culture": 0,
"description": "value",
"emails": "value",
"end_at": "2023-06-23 23:14:28",
"format": 1,
"frequency": "value",
"last_run_at": "2023-06-23 23:17:55",
"name": "value",
"next_run_at": "2023-06-23 23:18:52",
"report_id": 3821,
"start_at": "2023-06-23 23:19:31",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
DELETE
/reportschedules/{id} Deletes existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
DELETE /v1.1/voipstudio/reportschedules/36 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/reportschedules/dictionaries Returns Dictionary for Report schedule resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Success
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2520,
"created_at": "2020-03-29 02:59:24",
"culture": 7,
"description": "value",
"emails": "value",
"end_at": "2020-03-29 02:57:38",
"format": 0,
"frequency": "value",
"last_run_at": "2020-03-29 02:56:55",
"name": "value",
"next_run_at": "2020-03-29 03:02:08",
"report_id": 3059,
"start_at": "2020-03-29 03:07:47",
"status": 1,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}